package ingame

import (
	"f5"
	"main/api/v1"
	"main/middleware"
)

type IngameRouter struct{}

func (this *IngameRouter) InitRouter() {
	api := v1.ApiGroupApp.InGameApiGroup
	f5.GetApp().GetGinEngine().POST("/api/ingame/asset/hero/list",
		middleware.JwtAuth,
		api.InGameApi.HeroList)
	f5.GetApp().GetGinEngine().POST("/api/ingame/asset/hero/mint",
		middleware.JwtAuth,
		api.InGameApi.HeroMint)
	f5.GetApp().GetGinEngine().GET("/api/circuit_ranking",
		middleware.MaybeJwtAuth,
		api.InGameApi.GetCircuitRanking)
	f5.GetApp().GetGinEngine().GET("/api/circuit_phase_ranking",
		middleware.MaybeJwtAuth,
		api.InGameApi.GetCircuitPhaseRanking)
}
